corda / net.corda.node.utilities.registration / NetworkRegistrationHelper

# NetworkRegistrationHelper

`class NetworkRegistrationHelper`

This checks the config.certificatesDirectory for certificates required to connect to a Corda network. If the certificates are not found, a PKCS10CertificationRequest will be submitted to Corda network permissioning server using NetworkRegistrationService. This process will enter a polling loop until the request has been approved, and then the certificate chain will be downloaded and stored in Keystore reside in config.certificatesDirectory.

### Constructors

<init> | `NetworkRegistrationHelper(config: NodeConfiguration, certService: NetworkRegistrationService)` This checks the config.certificatesDirectory for certificates required to connect to a Corda network. If the certificates are not found, a PKCS10CertificationRequest will be submitted to Corda network permissioning server using NetworkRegistrationService. This process will enter a polling loop until the request has been approved, and then the certificate chain will be downloaded and stored in Keystore reside in config.certificatesDirectory.

### Properties

certService | `val certService: NetworkRegistrationService`
config | `val config: NodeConfiguration`

### Functions

buildKeystore | `fun buildKeystore(): Unit`

### Companion Object Properties

SELF_SIGNED_PRIVATE_KEY | `val SELF_SIGNED_PRIVATE_KEY: String`
pollInterval | `val pollInterval: Duration`